Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class IntArray.Row

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.IntArray.Row

Enclosing class:
  IntArray

    public static class IntArray.Row

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.iro.umontreal.ca/lecuyer/ssj>intList">
           <attribute name="repeat" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" default="1" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected Integer` | `repeat`
`protected List<Integer>` | `value`

Constructor Summary
`IntArray.Row()`

Method Summary
`int` | `getRepeat()` Gets the value of the repeat property.
`List<Integer>` | `getValue()` Gets the value of the value property.
`boolean` | `isSetRepeat()`
`boolean` | `isSetValue()`
`void` | `setRepeat(int value)` Sets the value of the repeat property.
`void` | `unsetRepeat()`
`void` | `unsetValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected List<Integer> value

### repeat

    protected Integer repeat

Constructor Detail

### IntArray.Row

    public IntArray.Row()

Method Detail

### getValue

    public List<Integer> getValue()

  Gets the value of the value property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the value property.

  For example, to add a new item, do as follows:

          getValue().add(newItem);

  Objects of the following type(s) are allowed in the list `Integer`

### isSetValue

    public boolean isSetValue()

### unsetValue

    public void unsetValue()

### getRepeat

    public int getRepeat()

  Gets the value of the repeat property.

  Returns:
    possible object is `Integer`

### setRepeat

    public void setRepeat(int value)

  Sets the value of the repeat property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetRepeat

    public boolean isSetRepeat()

### unsetRepeat

    public void unsetRepeat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.